// Copyright 2020 Authors of Hubble
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package list

import (
	"github.com/cilium/hubble/cmd/common/config"
	"github.com/cilium/hubble/cmd/common/template"
	"github.com/spf13/cobra"
	"github.com/spf13/viper"
)

// New creates a new list command.
func New(vp *viper.Viper) *cobra.Command {
	listCmd := &cobra.Command{
		Use:   "list",
		Short: "List Hubble objects",
	}

	// add config.ServerFlags to the help template as these flags are used by
	// this command
	template.RegisterFlagSets(listCmd.Name(), config.ServerFlags)

	listCmd.AddCommand(
		newNodeCommand(vp),
	)
	return listCmd
}
